
/**
 * @addtogroup ftp
 * @{
 * */

/**
 * @file ftp_task.h
 * @brief Declaration of File Transfer Protocol testing task. 
 *
 * @author Thierry Quervel
 * @date 24/03/2003
 *
 * */
#if !defined(_FTP_TASK_H_)
#  define _FTP_TASK_H_

/**
 * @brief Configure the console for ftp testing. Create the FTP top menu in mode ADMIN
 *
 * @return void 
 *
* */
void            FtpTask(void);

/**
 * @brief Shows if the component is dummy or not. 
 *
 * @return 1 if the FTP component is present,
 *         0 if the FTP component is dummy.
 * */
INT8U           FTPComponentIsPresent(void);
#endif

/**
 * @}
 * */
