
/*
 * Copyright 2007 Design of Systems on Silicon (DS2) All rights reserved.
 */

/**
 * @addtogroup zlib
 * @{
**/

/**
 * @file zlib.dummy.c
 * @brief GZIP decompression function
 * 
 * @internal
 * 
 * @author fblasco, vromero, GNU source
 * @date 18/09/2002
 * 
**/

/*
 *******************************************************************************
 ** Include files 
 *******************************************************************************
 */

#include "types.h"

/*
 *******************************************************************************
 ** Local constants 
 *******************************************************************************
 */

/*
 *******************************************************************************
 ** Local macros 
 *******************************************************************************
 */

/*
 *******************************************************************************
 ** Local data types 
 *******************************************************************************
 */

/*
 *******************************************************************************
 ** Local variables 
 *******************************************************************************
 */

/*
 *******************************************************************************
 ** Local tables 
 *******************************************************************************
 */

/*
 *******************************************************************************
 ** Local function prototypes 
 *******************************************************************************
 */

/**********************************************************************
 *
 * The following are support routines for decompression 
 *
 **********************************************************************/

/* takes memory from free memory space */

INT32U ZUncompress(INT8U *window, INT32U window_size, INT8U *malloc_memory,
                   INT32U malloc_memory_size, INT8U (*get_byte) (void), void (*unget_byte) (void))
{
  return -1;                    //return - 1 if error in decompression
}

/*
 *******************************************************************************
 ** Global variables 
 *******************************************************************************
 */

/*
 *******************************************************************************
 ** Global functions 
 *******************************************************************************
 */

/*
 *******************************************************************************
 ** Local functions 
 *******************************************************************************
 */

/**
 * @}
**/
